{library_calls/log_hlp.i}

def var txt as char.
def var i as int.

run log-it (input "release_external_is_case_sensitive_too start").

&if "{&OPSYS}" eq "win32" &then
   def var sz as int.
   
   run log-it (input "win32 load 'teSTapi.dLl'").
   run ivalues_size (output sz).
   
   run log-it (input "RELEASE EXTERNAL 'testapi.dll' doesn't work (case-sensitive matching).").
   release external "testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'teSTapi.dLl', matching name case exactly works fine.").
   release external "teSTapi.dLl".
   
   /* what matters is the case of the string used to load the DLL, the release external */
   /* must match that exactly, even if it doesn't match the actual case of the filename */
   procedure ivalues_size external "teSTapi.dLl" cdecl persistent:
      define return parameter sz as long.
   end.
&endif

run log-it (input "release_external_is_case_sensitive_too end").
