{library_calls/log_hlp.i}

run log-it (input "output_parameter_decimal_{&callconv} with {&apitype} start").

def input parameter sz as int.

def var dnum as decimal.
def var dscratch as decimal.
def var i as int.
def var idx as int.
def var results as memptr.
def var err-flag as logical.
def var err-list as char.
                                       
/* This is NASTY but we are required to hard code this size, otherwise we get this error: */
/* You cannot pass an indeterminate length array to a DLL as INPUT or receive one back as OUTPUT. (12201) */
/* In addition, we have to make it big enough to hold the ((largest size apitype/smallest size apitype) * length) */
/* double is largest apitype at 64-bits, float is the smallest apitype at 32-bits and length is 276. */
/* Why? The native library does not know the way that Progress is interpreting the data type (as */
/* float or double). The native library is coded to copy floats or doubles, but when it is copying */
/* doubles into space that Progress thinks is float array space, then we need to have twice as */
/* much space allocated, so the memory passed to the native library is big enough that no invalid */
/* memory access occurs. */
def var dnum_array as decimal extent 552.

set-byte-order(results) = little-endian.

/* run our tests */                  

{library_calls/output/output_float_test.i &apiname = "output_double_{&callconv}" &apitype = "{&apitype}" &callconv = "{&callconv}"}
{library_calls/output/output_float_test.i &apiname = "output_float_{&callconv}"  &apitype = "{&apitype}" &callconv = "{&callconv}"}

run log-it (input "output_parameter_decimal_{&callconv} with {&apitype} end").
