{library_calls/log_hlp.i}

run log-it (input "return_parameter_integer_{&callconv} with {&apitype} start").

def input parameter sz as int.
def input parameter ilist as int64 extent.

def var {&varname} as {&vartype}.
def var i as int.
def var idx as int.                
def var results as memptr.
def var s-overflow as logical.
def var n-overflow as logical.
def var u-overflow as logical.
def var err-flag as logical.
                                       
set-byte-order(results) = little-endian.

/* run our tests */                  

{library_calls/return/return_int_test.i &apiname = "return_uint8_{&callconv}"  &rettype = "uint8"  &apitype = "{&apitype}" &varname = "{&varname}" &vartype = "{&vartype}" &callconv = "{&callconv}"}
{library_calls/return/return_int_test.i &apiname = "return_int16_{&callconv}"  &rettype = "int16"  &apitype = "{&apitype}" &varname = "{&varname}" &vartype = "{&vartype}" &callconv = "{&callconv}"}
{library_calls/return/return_int_test.i &apiname = "return_uint16_{&callconv}" &rettype = "uint16" &apitype = "{&apitype}" &varname = "{&varname}" &vartype = "{&vartype}" &callconv = "{&callconv}"}
{library_calls/return/return_int_test.i &apiname = "return_int32_{&callconv}"  &rettype = "int32"  &apitype = "{&apitype}" &varname = "{&varname}" &vartype = "{&vartype}" &callconv = "{&callconv}"}
{library_calls/return/return_int_test.i &apiname = "return_uint32_{&callconv}" &rettype = "uint32" &apitype = "{&apitype}" &varname = "{&varname}" &vartype = "{&vartype}" &callconv = "{&callconv}"}
{library_calls/return/return_int_test.i &apiname = "return_int64_{&callconv}"  &rettype = "int64"  &apitype = "{&apitype}" &varname = "{&varname}" &vartype = "{&vartype}" &callconv = "{&callconv}"}

run log-it (input "return_parameter_integer_{&callconv} with {&apitype} end").
