{library_calls/log_hlp.i}
{library_calls/libname.i}

def var i as int.

/* clear the logfile */
os-delete "testapi.log".

run log-it (input "test_runner start").

run library_calls/load_unload/load_unload_tests.p.

/* this is only called to force a persistent load of the library into memory */
/* since we are no longer processing the load/unload tests; the rest of the */
/* tests can be broken if the library is reloading constantly */
run ptr_size (output i).

run library_calls/misc/misc_tests.p.
run library_calls/return/return_parameter.p.
run library_calls/output/output_parameter.p.
run library_calls/input_output/input_output_parameter.p.
run library_calls/input/input_parameter.p.

/* this actually releases the library (on Windows, anyway) */
release external "{&libname}".

run log-it (input "test_runner end").

procedure ptr_size external "{&libname}" cdecl persistent:
   def return parameter sz as long.
end.
