
#include "helper.h"
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

static char* LOGNAME = "testapi.log";

// open the log file, write the formatted output and close the file in 1 operation
void flog(char* spec, ...)
{
   FILE* fptr = fopen(LOGNAME, "a");
   
   if (fptr != NULL)
   {
      va_list arglist;
      va_start(arglist, spec);
      vfprintf(fptr, spec, arglist);
      va_end(arglist);
      fclose(fptr);
   }
}

void log_bytes(char* prefix, char* postfix, void* ptr, int len)
{
   uint8_t* byt = (uint8_t*) ptr;
   
   flog("%s", prefix);
   
   for (int i = 0; i < len; i++)
   {
      flog("%02X ", byt[i]);
   }
   
   flog("%s", postfix);
}


