{library_calls/libname.i}

{library_calls/log_hlp.i}
run log-it (input "input_parameter_many_{&callconv} start").

/* show proper working many-parm cases */

run input_int32_8_parm_{&callconv} (0, 1, 2, 3, 4, 5, 6, 7).
run input_int64_8_parm_{&callconv} (0, 1, 2, 3, 4, 5, 6, 7).

/* you can't pass integers here! */
run input_double_8_parm_{&callconv} (0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0).
run input_float_8_parm_{&callconv} (0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0).

run input_char_ptr_8_parm_{&callconv} ("0", "1", "2", "3", "4", "5", "6", "7").

procedure input_int32_8_parm_{&callconv} external "{&libname}" {&callconv}:
   def input parameter i1 as long.
   def input parameter i2 as long.
   def input parameter i3 as long.
   def input parameter i4 as long.
   def input parameter i5 as long.
   def input parameter i6 as long.
   def input parameter i7 as long.
   def input parameter i8 as long.
end.

procedure input_int64_8_parm_{&callconv} external "{&libname}" {&callconv}:
   def input parameter i1 as int64.
   def input parameter i2 as int64.
   def input parameter i3 as int64.
   def input parameter i4 as int64.
   def input parameter i5 as int64.
   def input parameter i6 as int64.
   def input parameter i7 as int64.
   def input parameter i8 as int64.
end.

procedure input_double_8_parm_{&callconv} external "{&libname}" {&callconv}:
   def input parameter d1 as double.
   def input parameter d2 as double.
   def input parameter d3 as double.
   def input parameter d4 as double.
   def input parameter d5 as double.
   def input parameter d6 as double.
   def input parameter d7 as double.
   def input parameter d8 as double.
end.

procedure input_float_8_parm_{&callconv} external "{&libname}" {&callconv}:
   def input parameter f1 as float.
   def input parameter f2 as float.
   def input parameter f3 as float.
   def input parameter f4 as float.
   def input parameter f5 as float.
   def input parameter f6 as float.
   def input parameter f7 as float.
   def input parameter f8 as float.
end.

procedure input_char_ptr_8_parm_{&callconv} external "{&libname}" {&callconv}:
   def input parameter c1 as character.
   def input parameter c2 as character.
   def input parameter c3 as character.
   def input parameter c4 as character.
   def input parameter c5 as character.
   def input parameter c6 as character.
   def input parameter c7 as character.
   def input parameter c8 as character.
end.

run log-it (input "input_parameter_many_{&callconv} end").
