{library_calls/log_hlp.i}

run log-it (input "input_output_parameter_ignores_handle_to_option start").

{library_calls/libname.i}

def var num as int64 init 30.
def var addr as int64.
def var ptr as memptr.

/* the HANDLE TO option for a input-output parameter makes no difference since a pointer is passed anyway */

run input_output_int64_ptr_cdecl (input-output num).
if num ne 14 then run log-err (input "Expected to get 14, but instead found " + string(num)).

procedure input_output_int64_ptr_cdecl external "{&libname}" cdecl persistent:
   def input-output parameter ptr as handle to int64.
end.

run log-it (input "input_output_parameter_ignores_handle_to_option end").
