{library_calls/log_hlp.i}

def var txt as char.
def var i as int.

run log-it (input "release_external_absolute_paths_too start").

&if "{&OPSYS}" eq "win32" &then
   def var sz as int.
   
   run log-it (input "win32 load 'c:/windows/system32/testapi.dll'").
   run ivalues_size (output sz).
   
   run log-it (input "RELEASE EXTERNAL 'testapi.dll' doesn't work.").
   release external "testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'c:~\windows~\system32~\testapi.dll', nope.").
   release external "c:~\windows~\system32~\testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL '/windows/system32/testapi.dll', no joy.").
   release external "/windows/system32/testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'C:/windows/system32/testapi.dll', no good.").
   release external "C:/windows/system32/testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL ' c:/windows/system32/testapi.dll ', whitespace isn't helpful.").
   release external " c:/windows/system32/testapi.dll ".
   
   run log-it (input "RELEASE EXTERNAL 'c:/windows/system32/testapi.dll ', whitespace isn't helpful.").
   release external "c:/windows/system32/testapi.dll ".
   
   run log-it (input "RELEASE EXTERNAL ' c:/windows/system32/testapi.dll', whitespace isn't helpful.").
   release external " c:/windows/system32/testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'c:/windows/syste m32/testapi.dll', whitespace isn't helpful.").
   release external "c:/windows/syste m32/testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'c:/windows/system32/testapi.dll', matching name with the path exactly works fine.").
   release external "c:/windows/system32/testapi.dll".
   
   /* what matters is the full text of the string used to load the DLL, the release external */
   /* must match that exactly */
   procedure ivalues_size external "c:/windows/system32/testapi.dll" cdecl persistent:
      define return parameter sz as long.
   end.
&endif

run log-it (input "release_external_absolute_paths_too end").
