{library_calls/log_hlp.i}

def var txt as char.
def var i as int.

run log-it (input "release_external_no_extension_doesnt_unload_dll_loaded_with_extension start").

&if "{&OPSYS}" eq "win32" &then
   def var sz as int.
   
   run log-it (input "win32 load 'testapi.dll'").
   run ivalues_size (output sz).
   
   run log-it (input "RELEASE EXTERNAL 'testapi', it doesn't work because the name doesn't match how the library was loaded.").
   release external "testapi".
   
   run log-it (input "RELEASE EXTERNAL 'testapi', 2nd time still doesn't work.").
   release external "testapi".
   
   run log-it (input "RELEASE EXTERNAL ' testapi.dll ', whitespace doesn't help.").
   release external " testapi.dll ".
   
   run log-it (input "RELEASE EXTERNAL ' testapi.dll', whitespace doesn't help.").
   release external " testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'testapi.dll ', whitespace doesn't help.").
   release external "testapi.dll ".
   
   run log-it (input "RELEASE EXTERNAL 'tes tapi.dll', whitespace doesn't help.").
   release external "tes tapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'testapi.dll', matching name works fine.").
   release external "testapi.dll".
   
   procedure ivalues_size external "testapi.dll" cdecl persistent:
      define return parameter sz as long.
   end.
&endif

run log-it (input "release_external_no_extension_doesnt_unload_dll_loaded_with_extension end").
