{library_calls/log_hlp.i}

def var txt as char.
def var i as int.

run log-it (input "release_external_no_extension_works start").

&if "{&OPSYS}" eq "win32" &then
   def var sz as int.
   
   run log-it (input "win32 load without DLL extension - 'testapi'").
   run ivalues_size (output sz).
   
   run log-it (input "RELEASE EXTERNAL 'testapi.dll', using an extension when it was loaded without one, doesn't work.").
   release external "testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL ' testapi ', whitespace isn't helpful.").
   release external " testapi ".
   
   run log-it (input "RELEASE EXTERNAL ' testapi', whitespace isn't helpful.").
   release external " testapi".
   
   run log-it (input "RELEASE EXTERNAL 'testapi ', whitespace isn't helpful.").
   release external "testapi ".
   
   run log-it (input "RELEASE EXTERNAL 'tes tapi', whitespace isn't helpful.").
   release external "tes tapi".
   
   run log-it (input "RELEASE EXTERNAL 'testapi', it works because the name matches how the library was loaded.").
   release external "testapi".
   
   /* no DLL extension */
   procedure ivalues_size external "testapi" cdecl persistent:
      define return parameter sz as long.
   end.
&endif

run log-it (input "release_external_no_extension_works end").
