{library_calls/log_hlp.i}

def var txt as char.
def var i as int.

run log-it (input "release_external_relative_paths start").

&if "{&OPSYS}" eq "win32" &then
   def var sz as int.
   
   run log-it (input "win32 load 'library_calls~\testapi~\testapi.dll'").
   run ivalues_size (output sz).
   
   run log-it (input "RELEASE EXTERNAL 'testapi.dll' doesn't work.").
   release external "testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'library_calls/testapi/testapi.dll', the 4GL substitutes / for ~\ in loading, but it doesn't work for matching here.").
   release external "library_calls/testapi/testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL ' library_calls~\testapi~\testapi.dll ', whitespace bad.").
   release external " library_calls~\testapi~\testapi.dll ".
   
   run log-it (input "RELEASE EXTERNAL ' library_calls~\testapi~\testapi.dll', whitespace bad.").
   release external " library_calls~\testapi~\testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'library_calls~\testapi~\testapi.dll ', whitespace bad.").
   release external "library_calls~\testapi~\testapi.dll ".
   
   run log-it (input "RELEASE EXTERNAL 'library_c alls~\testapi~\testapi.dll', whitespace bad.").
   release external "library_c alls~\testapi~\testapi.dll".
   
   run log-it (input "RELEASE EXTERNAL 'library_calls~\testapi~\testapi.dll', matching name with the path exactly works fine.").
   release external "library_calls~\testapi~\testapi.dll".
   
   /* what matters is the full text of the string used to load the DLL, the release external */
   /* must match that exactly */
   procedure ivalues_size external "library_calls~\testapi~\testapi.dll" cdecl persistent:
      define return parameter sz as long.
   end.
&endif

run log-it (input "release_external_relative_paths end").
