{library_calls/log_hlp.i}

run log-it (input "{&apiname} reading {&apitype} into decimal start").

{library_calls/libname.i}

/* allocating and deallocating this in each included section results in the */
/* memory being cleared before each test, which is important */
set-size(results) = sz * 8.

do i = 1 to sz:

   err-flag = true.
   inner:
   do on error undo, leave inner:
      run {&apiname} (output dnum).
      err-flag = false.
   end.
   if err-flag then
      run log-err (input "Failure occured in {&apiname}() - {&apitype} into decimal for entry: " + string(i) + ".").
   
   /* save results into buffer */
   idx = ((i - 1) * 8) + 1.
   put-double(results, idx) = dnum.
end.

copy-lob results to file "{&apiname}_{&apitype}_into_decimal.out".

set-size(results) = 0.

procedure {&apiname} external "{&libname}" {&callconv}:
   define return parameter d as {&apitype}.
end.

run log-it (input "{&apiname} reading {&apitype} into decimal end").
