{library_calls/log_hlp.i}

run log-it (input "return_parameter_ignores_handle_to_option start").

{library_calls/libname.i}

def var num as int64.
def var addr as int64.
def var ptr as memptr.

/* the HANDLE TO option for a return parameter is not honored, the result is */
/* simply read in and it happens to be an address which can be read via a memptr */

run return_int64_ptr_cdecl (output addr).
set-pointer-value(ptr) = addr.
set-size(ptr) = 8.
num = get-int64(ptr, 1).
if num ne 14 then run log-err (input "Expected to dereference a pointer and get 14, but instead found " + string(num)).

procedure return_int64_ptr_cdecl external "{&libname}" cdecl persistent:
   def return parameter ptr as handle to int64.
end.

run log-it (input "return_parameter_ignores_handle_to_option end").
