
#include "helper.h"
#include <windows.h>

BOOL WINAPI DllEntryPoint(HINSTANCE hmod, DWORD reason, LPVOID reserved)
{
   LPTSTR pfname = (LPTSTR) malloc(1024 * sizeof(TCHAR));
   DWORD rc = GetModuleFileName(hmod, pfname, 1024);
   
   if (rc == 0)
      strcpy(pfname, "UNKNOWN (error in GetModuleFileName)");
   
   if (reason == DLL_PROCESS_ATTACH || reason == DLL_THREAD_ATTACH)
   {
      flog("LOAD %s\n", pfname);
   }

   if (reason == DLL_PROCESS_DETACH || reason == DLL_THREAD_DETACH)
   {
      flog("UNLOAD %s\n", pfname);
   }
   
   return (TRUE);
}
